Bug 473450 - (CVE-2008-5302) CVE-2008-5302 perl: File::Path rmtree race condition (CVE-2005-0448) reintroduced after upstream rebase to 5.8.8-1
CVE-2008-5302 perl: File::Path rmtree race condition (CVE-2005-0448) reintrod...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
reported=20081127,public=20081119,sou...
: Security
Depends On: 591167 591168
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 10:55 EST by Jan Lieskovsky
Modified: 2010-06-08 02:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 02:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ours perl-5.8.0-CAN-2005-0448-rmtree.patch applied against perl_5.8.0-90.4 (6.80 KB, patch)
2008-11-28 10:55 EST, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2008-11-28 10:55:06 EST
Created attachment 325021 [details]
Ours perl-5.8.0-CAN-2005-0448-rmtree.patch applied against perl_5.8.0-90.4

Common Vulnerabilities and Exposures originally assigned an identifier CVE-2005-0448 to the following vulnerability:

Race condition in the rmtree function in File::Path.pm in Perl before 5.8.4 allows local users to create arbitrary setuid binaries in the tree being
deleted, a different vulnerability than CVE-2004-0452.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0448

It was discovered that after upstream perl rebase to 5.8.8-1, this issue
was reintroduced (seems upstream didn't apply fix for CVE-2005-0448).

This issue already fixed again in perl-5.10.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=286922
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=286905

Link to original CVE-2005-0448 patch:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=85;filename=etch_03_fix_file_path;att=1;bug=286905

Patch we applied in RHSA-2005:881(el3) and in RHSA-2005:674(el4):
see attachment


Note: This is different vulnerability then CVE-2004-0452, CVE-2005-0448
and yet different to CVE-2008-2827.
Comment 1 Vincent Danen 2009-03-25 13:37:07 EDT
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 11 errata-xmlrpc 2010-06-07 12:21:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0458 https://rhn.redhat.com/errata/RHSA-2010-0458.html

Note You need to log in before you can comment on or make changes to this bug.